<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_detrend.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_detrend" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_detrend</refname>
    <refpurpose>removes the trend from data, NaN's are considered as missing values</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [...]=nan_detrend([t,] X [,p])
   removes trend for unequandy spaced data
   t represents the time points
   X(i) is the value at time t(i)
   p must be a scalar
   
   [...]=nan_detrend(X,0)
   [...]=nan_detrend(X,'constant')
   removes the mean
   
   [...]=nan_detrend(X,p)
   removes polynomial of order p (default p=1)
   
   [...]=nan_detrend(X,1) - default
   [...]=nan_detrend(X,'linear')
   removes linear trend
   
   [X,T]=nan_detrend(...)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X :</term>
      <listitem><para>detrended data</para></listitem></varlistentry>
   <varlistentry><term>T :</term>
      <listitem><para> removed trend</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
DETREND is fully compatible to previous Matlab and Octave DETREND with the following features added:
- handles NaN's by assuming that these are missing values
- handles unequandy spaced data
- second output parameter gives the trend of the data
- compatible to Matlab and Octave
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   <member><link linkend="nan_zscore">nan_zscore</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 1995, 1996 Kurt Hornik Kurt.Hornik@ci.tuwien.ac.at</member>
   <member>Copyright (C) 2001,2007 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
